Uploaded image for project: 'Titanium SDK/CLI'
  1. Titanium SDK/CLI
  2. TIMOB-16365

CLI: Command and Hook minimum CLI version does not work when CLI version contains a label like 3.2.1-beta

    Details

      Description

      If you have a hook that requires a min CLI version like this:

      exports.cliVersion = ">=3.2.1";
      

      Then it only works when the Titanium CLI version is in the format "X.Y.Z.label" and not "X.Y.Z-label".

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                cbarber Chris Barber
                Reporter:
                cbarber Chris Barber
                Reviewer:
                Sabil Rahim
              • Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Backbone Issue Sync

                  • Titanium SDK/CLI <> Titanium Mobile
                    Synced with:
                    TIMOB-18319
                    Sync status:
                    ERROR
                    Last received:
                    Last sent:

                    Git Integration